Package Details: libdvbpsi8 1:1.0.0-1

Git Clone URL: https://aur.archlinux.org/libdvbpsi8.git (read-only)
Package Base: libdvbpsi8
Description: Provides libdvbpsi.so.8 (Older version of libdvbpsi)
Upstream URL: http://developers.videolan.org/libdvbpsi/
Licenses: LGPL2.1
Submitter: cobalt
Maintainer: cobalt
Last Packager: cobalt
Votes: 29
Popularity: 0.004710
First Submitted: 2014-10-25 04:15
Last Updated: 2016-06-03 02:52

Latest Comments

cobalt commented on 2016-06-12 02:01

@gaiax please read comments about libx264-142. The package is broken now, but several possible workarounds are given in the last comments. They will require some manual intervention. For example you can use PKGBUILD from the last comment.

gaiax commented on 2016-06-11 21:08

@cobalt... thanks that worked.. but now I got

==> ERROR: Makepkg was unable to build libx264-142.

cobalt commented on 2016-06-11 20:03

@gaiax please install "base-devel" package, in particular gcc.

gaiax commented on 2016-06-11 15:12

I'm trying to install acestream-player and got this..
....
checking for cl.exe... no
configure: error: in `/tmp/yaourt-tmp-luvyel/aur-libdvbpsi8/src/libdvbpsi-1.0.0':
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build libdvbpsi8.


any suggestion?

cobalt commented on 2016-06-03 02:57

Fixed

dbIsMe commented on 2016-05-23 03:09

Had the same error as Forum_liker. I'm a noob, but thought it looked like a simple open parens missing, so i tried adding that but ended up with other errors. I miss acestream :(

Edit 4 Jun: Per cobalt's message above, now working! Thanks!

Forum_Liker commented on 2016-05-10 15:56

decode_mpeg.c: In function ‘DumpDescriptors’:
decode_mpeg.c:484:5: error: this ‘for’ clause does not guard... [-Werror=misleading-indentation]
for(i = 0; i < p_descriptor->i_length; i++)
^~~
decode_mpeg.c:486:7: note: ...this statement, but the latter is misleadingly indented as if it is guarded by the ‘for’
fprintf( stderr, "\"\n");
^~~~~~~
cc1: all warnings being treated as errors
Makefile:426: recipe for target 'decode_mpeg-decode_mpeg.o' failed
make[3]: *** [decode_mpeg-decode_mpeg.o] Error 1
make[3]: Leaving directory '/tmp/yaourt-tmp-pmpo/aur-libdvbpsi8/src/libdvbpsi-1.0.0/examples'
Makefile:522: recipe for target 'all-recursive' failed
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory '/tmp/yaourt-tmp-pmpo/aur-libdvbpsi8/src/libdvbpsi-1.0.0/examples'
Makefile:386: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/tmp/yaourt-tmp-pmpo/aur-libdvbpsi8/src/libdvbpsi-1.0.0'
Makefile:292: recipe for target 'all' failed
make: *** [all] Error 2
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build libdvbpsi8.

cousinm commented on 2015-05-31 08:43

It doesn't compile anymore, because of gcc 5 I guess. Had to replace the build section with this:

build() {
export CFLAGS="-Wno-error=bool-compare -O"
cd "${srcdir}/libdvbpsi-${pkgver}"

./configure --prefix=/usr
make
}